Statistics
16459
14
2
1.3y
Badges
Dependencies

Rixxi/Gedmo

Requirements

Rixxi/Gedmo requires Kdyby/Doctrine

Installation

The best way to install Rixxi/Gedmo is using Composer:

$ composer require rixxi/gedmo

Configuration

The best way to install Rixxi/Gedmo is using Composer:

extensions:
	gedmo: Rixxi\Gedmo\DI\OrmExtension
	# you should probably register Kdyby/Doctrine too
	doctrine: Kdyby\Doctrine\DI\OrmExtension

gedmo:
	translatableLocale: cs_CZ
	defaultLocale: cs_CZ

	# enable all annotations
	all: on
	# enable per annotation
	loggable: on
	sluggable: on
	softDeleteable: on
	sortable: on
	timestampable: on
	translatable: on
	treeable: on
	uploadable: on

# you must add bit type to your doctrine connection and soft-deleteable to filters
doctrine:
	types:
		bit: Doctrine\DBAL\Types\BooleanType

	filters:
		# without this softDeleteable won't work...            ...probably
		soft-deleteable: Gedmo\SoftDeleteable\Filter\SoftDeleteableFilter

Repository http://github.com/rixxi/gedmo.

  • 1.0.7 1.0.7 Slim Jim

    Slimmed dependencies from nette/nette to just nette/di and nette/utils

  • 1.0.6 Allow Kdyby 3.*

    If it works don't change it 😄.

  • 1.0.5 Bugfix treeable

    Bugfix of previous bugfix.

  • 1.0.4 Treeable config

  • 1.0.3 Sortable Listener

Is this addon outdated? Did you find an issue? Please report it.

Componette Componette admin@componette.com